function [ ] = close()
%CLOSEREQ Cleans up all variables that are used by the editTemperature GUI.
%   Changes to the data is not being modified.

global artoaGui artoaWorkspace;

%% Close the figure

try
    delete(artoaGui.figures.editTemperature);
catch
    delete(gcf);
end

%% Clean up variables

try
    artoaGui = rmfield(artoaGui, 'editTemperature');
catch
end
try
    artoaGui.figures = rmfield(artoaGui.figures, 'editTemperature');
catch
end
try
    artoaWorkspace = rmfield(artoaWorkspace, 'editTemperature');
catch
end

end

