function [] = updateLowerColormapBoundary()
%UPDATEUPPERCOLORMAPBOUNDARY Summary of this function goes here
%   Detailed explanation goes here


global artoaGui;

%% Get the values from the slider
lower = artoaGui.editTimeOfArrival.sliderLowerBoundary.Value;
upper = artoaGui.editTimeOfArrival.sliderUpperBoundary.Value;

%% Check if they overlap
if (lower >= upper)
    upper = lower + 1;
end

%% Update the slider values
artoaGui.editTimeOfArrival.sliderLowerBoundary.Value = lower;
artoaGui.editTimeOfArrival.sliderUpperBoundary.Value = upper;

%% Update the color limit
artoaGui.editTimeOfArrival.axesScatterTimeOfArrival.CLim = ...
    [ ...
        artoaGui.editTimeOfArrival.sliderLowerBoundary.Value, ...
        artoaGui.editTimeOfArrival.sliderUpperBoundary.Value ...
    ];

end

